Package org.pushingpixels.substance.internal.ui

# Class SubstanceTreeUI.TreePathId

java.lang.Object
org.pushingpixels.substance.internal.ui.SubstanceTreeUI.TreePathId

All Implemented Interfaces:
  `Comparable`

Enclosing class:
  `SubstanceTreeUI`

public static class SubstanceTreeUI.TreePathId extends Object implements Comparable
ID of a single tree path.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected TreePath`
`path`
Tree path.

## Constructor Summary

Constructors
Constructor
Description
`TreePathId(TreePath path)`
Creates a tree path ID.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
`boolean`
`equals(Object obj)`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### path

protected TreePath path
Tree path.

## Constructor Details

### TreePathId

public TreePathId(TreePath path)
Creates a tree path ID.

Parameters:
  `path` - Tree path.

## Method Details

### compareTo

public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`